Package twisted :: Package internet :: Module ssl :: Class DefaultOpenSSLContextFactory

[frames | no frames]

## Class DefaultOpenSSLContextFactory

    ContextFactory --+
                     |
                    DefaultOpenSSLContextFactory

Method Summary
| `__init__(self, privateKeyFileName, certificateFileName, sslmethod)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| `cacheContext(self)`
| ``getContext`(self)` Create an SSL context.

Class Variable Summary
Inherited from ContextFactory
`int` | `isClient` = 0

Method Details

### getContext(self)

Create an SSL context.

  Overrides:
    `twisted.internet.ssl.ContextFactory.getContext`

Generated by Epydoc 2.0 on Sat May 15 20:08:38 2004 | http://epydoc.sf.net